Bug 1003261 - log collector should also collect context data
log collector should also collect context data
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-log-collector (Show other bugs)
3.3.0
x86_64 Linux
high Severity medium
: ---
: 3.3.0
Assigned To: Maor
Dušan Kajan
storage
:
Depends On:
Blocks: 1019461
  Show dependency treegraph
 
Reported: 2013-09-01 07:00 EDT by Maor
Modified: 2016-02-10 12:44 EST (History)
10 users (show)

See Also:
Fixed In Version: rhevm-log-collector-3.3.0-1.el6ev
Doc Type: Enhancement
Doc Text:
On systems running SELinux, all processes and files are labeled with a label that contains security-relevant information. This information is called the SELinux context. Previously the log collector provided information whether the SELinux is enabled or not, but did not provide SELinux context for files. The fix adds a new output file of the SELinux context in specific folders including /rhev, /etc, and /var).
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 12:00:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17542 None None None Never
oVirt gerrit 18747 None None None Never

  None (edit)
Description Maor 2013-09-01 07:00:38 EDT
Description of problem:
Log collector gives you the information whether the selinux is enables
or not, but do not display the selinux context of files and folders in the host.

We should add an output of selinux context in
specific folders such as /rhev /etc /var

How reproducible:
100%

Steps to Reproduce:
1. execute log collector
2.
3.

Actual results:
no selinux context is present

Expected results:
selinux context should be present

Additional info:
Comment 1 Sandro Bonazzola 2013-09-02 11:04:12 EDT
patch 17542 already merged upstream master.
Comment 3 Dušan Kajan 2013-09-18 08:24:41 EDT
verified on is15
Comment 4 Charlie 2013-11-27 20:16:44 EST
This bug is currently attached to errata RHBA-2013:15255. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to 
minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.
Comment 5 errata-xmlrpc 2014-01-21 12:00:03 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0039.html

Note You need to log in before you can comment on or make changes to this bug.